Get an order
GET
/api/subscriptions/orders/{id}
const url = 'https://api.usegro.co/api/subscriptions/orders/example';const options = { method: 'GET', headers: {Authorization: 'Bearer <token>', 'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.usegro.co/api/subscriptions/orders/example \ --header 'Authorization: Bearer <token>' \ --header 'X-API-Key: <X-API-Key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”Media typeapplication/json
object
data
required
object
id
required
string
status
required
string
created_at
string
updated_at
string
account_id
required
string
total
required
number
currency_code
required
string
profile_id
string
shopify_order_id
required
string
production_date
string
delivery_date
string
fulfillment_status
required
string
shopify_order_number
number
external_order_id
string
external_order_number
string
external_source
string
is_checkout_order
required
boolean
tracking_number
string
tracking_company
string
tracking_url
string
subtotal
required
number
discount_amount
required
number
billing_date
string
order_created_at
string
profile
One of:
string
object
id
string
timezone
string
address1
string
address2
string
city
string
region
string
country
string
country_code
string
postal_code
string
created_at
string
updated_at
string
full_address
string
external_id
string
email
string
full_name
string
first_name
string
last_name
string
phone_number
string
phone_country
string
sms_consent_source
string
sms_consented_at
string
consent_source
string
consented_at
string
shopify_customer_id
string
shopify_customer_tags
Array<string>
properties
object
subscriptions
One of:
string
Array<object>
object
Example
{ "data": { "status": "PENDING", "fulfillment_status": "UNFULFILLED", "profile": { "email_status": "subscribed", "sms_status": "subscribed", "sms_opt_in_level": "single_opt_in" } }}